
# @D3v4pp/dot
[![GitHub license](https://img.shields.io/badge/licence-d3v4pp-red.svg)](https://cvs.d3v4pp.fr/D3V4PP/validate.git)
[![npm version](https://img.shields.io/npm/v/@d3v4pp/validate?style=flat)](https://www.npmjs.com/package/@d3v4pp/validate)
  Get and set object properties with dot notation

## Installation

    $ npm install @d3v4pp/dot

## API

### dot.set(object, path, value)
```js
dot.set(obj, 'cool.aid', 'rocks');
assert(obj.cool.aid === 'rocks');
```

### dot.get(object, path)
```js
var value = dot.get(obj, 'cool.aid');
assert(value === 'rocks');
```

### dot.delete(object, path)
```js
var value = dot.delete(obj, 'cool.aid');
assert(!obj.cool.hasOwnProperty('aid'));
```

